Bug 14044 - [XQueryX30] section 1: version typo
[XQueryX30] section 1: version typo
Status: RESOLVED FIXED
Product: XPath / XQuery / XSLT
Classification: Unclassified
Component: XQueryX 3.0
Working drafts
All All
: P2 minor
: ---
Assigned To: Jim Melton
Mailing list for public feedback on specs from XSL and XML Query WGs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-06 16:19 UTC by Michael Dyck
Modified: 2013-11-19 00:22 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Dyck 2011-09-06 16:19:21 UTC
"This version of XQueryX is fully compatible with [XML Syntax for XQuery 3.0 (XQueryX)]. ... All queries expressed in the syntax defined by [XML Syntax for XQuery 3.0 (XQueryX)] continue to be valid, with the same meaning, when processed by an implementation of this version of XQueryX."

Presumably, both references to XQueryX *3.0* should be to *1.0*. (Fixing this should also change the underlying link and the reference in Appendix A.)
Comment 1 Jim Melton 2011-09-12 18:20:37 UTC
Thank you for this error report.  You are, of course, entirely correct, and the document has been modified to replace the linked reference to XQueryX 3.0 with a reference (not linked) to XQueryX 1.0.
Comment 2 Michael Dyck 2011-09-12 21:30:07 UTC
But that still leaves the reference to XQueryX 3.0 in Appendix A.
(I.e., the spec is basically referring to itself.)

You *could* just delete that reference, but I think it would be helpful for the XQueryX 3.0 spec to link to XQueryX 1.0 (and for the mention in section 1 to be a link), which is what I was suggesting in comment 0.
Comment 3 Jim Melton 2013-11-19 00:22:17 UTC
Before XQueryX 3.0 was published as a (second) Last Call Working Draft following its Candidate Recommendation period, I made the suggested change.  I apologize for failing to update the bug at that time.  Please examine the document at https://www.w3.org/XML/Group/qtspecs/specifications/xqueryx-30/html/Overview.html

I believe that I have fulfilled your suggestion and have therefore marked this bug RESOLVED/FIXED.  If you agree that your comment is resolved, please mark this bug CLOSED.